SDL_TLSDestructorCallback(3type)

NAME
SDL_TLSDestructorCallback - The callback used to cleanup data passed to SDL_SetTLS.

SYNOPSIS
#include <SDL3/SDL_thread.h>

typedef void (SDLCALL *SDL_TLSDestructorCallback)(void *value);

DESCRIPTION
This is called when a thread exits, to allow an app to free any resources.

FUNCTION PARAMETERS

value
    a pointer previously handed to SDL_SetTLS.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
SDL_SetTLS(3)